package se.su.dsv.scipro.plagiarism.urkund;

final class Util {

    private Util() {
        throw new UnsupportedOperationException();
    }

    static UrkundSubmission.State getState(final StatusInfo.State state) {
        switch (state) {
            case Submitted: return UrkundSubmission.State.SUBMITTED;
            case Rejected: return UrkundSubmission.State.REJECTED;
            case Accepted: return UrkundSubmission.State.ACCEPTED;
            case Analyzed: return UrkundSubmission.State.ANALYZED;
            case Error: return UrkundSubmission.State.ERROR;
            default: throw new Error();
        }
    }
}
