package se.su.dsv.scipro.components;

import org.apache.wicket.MarkupContainer;
import org.apache.wicket.markup.html.link.AbstractLink;
import org.apache.wicket.markup.html.panel.Panel;

import java.util.function.Function;

public final class LinkWrapper extends Panel {
    private LinkWrapper(final String id) {
        super(id);
    }

    public static MarkupContainer apply(final String id, final Function<String, AbstractLink> f) {
        return new LinkWrapper(id).add(f.apply("link"));
    }
}
